package cn.org.bjca.trust.android.imdemo.ui.adapter;

import com.xuqm.base.adapter.BaseNormalAdapter;
import com.xuqm.base.adapter.ItemViewDelegate;
import com.xuqm.base.adapter.ViewHolder;
import com.xuqm.base.common.LogHelper;

import cn.org.bjca.trust.android.imdemo.R;
import cn.org.bjca.trust.android.lib.im.enums.MsgType;
import cn.org.bjca.trust.android.lib.im.im.msg.message.SZYXMessage;

public class ChatAdapter extends BaseNormalAdapter<SZYXMessage> {
    public ChatAdapter() {
        addItemViewDelegate(new ItemViewDelegate<SZYXMessage>() {
            @Override
            public int getItemViewLayoutId() {
                return R.layout.chat_view_text;
            }

            @Override
            public boolean isForViewType(SZYXMessage item, int position) {
                return item.getMsgType().equals(MsgType.Text);
            }

            @Override
            public void convert(ViewHolder holder, SZYXMessage item, int position) {
                if (item.isArrive()) {
                    holder.setText(R.id.left, item.getTextMessage().getText());
                    holder.setVisibility(R.id.left, true);
                    holder.setVisibility(R.id.right, false);
                } else {
                    holder.setText(R.id.right, item.getTextMessage().getText());
                    holder.setVisibility(R.id.left, false);
                    holder.setVisibility(R.id.right, true);
                }
            }
        });
    }
}
